{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Checks whether a team has `admin`, `push`, `maintain`, `triage`, or `pull` permission for a repository. Repositories inherited through a parent team will also be checked.\n\nYou can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom [media type](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types/) via the `application/vnd.github.v3.repository+json` accept header.\n\nIf a team doesn't have permission for the repository, you will receive a `404 Not Found` response status.\n\nIf the repository is private, you must have at least `read` permission for that repository, and your token must have the `repo` or `admin:org` scope. Otherwise, you will receive a `404 Not Found` response status.\n\n> [!NOTE]\n> You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.","properties":{"path":{"type":"object","properties":{"org":{"type":"string","description":"The organization name. The name is not case sensitive."},"team_slug":{"type":"string","description":"The slug of the team name."},"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."}},"required":["org","team_slug","owner","repo"],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Check team permissions for a repository","id":"github.teams.check-permissions-for-repo-in-org","example":{"path":{"org":"example","team_slug":"example","owner":"octocat","repo":"hello-world"}},"maxRequests":1,"summary":false}}